Debian Bug report logs - #399399
FTBFS etch: linux/ip_fw.h: No such file or directory

version graph

Package: ipmasqadm; Maintainer for ipmasqadm is (unknown);

Reported by: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>

Date: Sun, 19 Nov 2006 15:48:06 UTC

Severity: serious

Found in version ipmasqadm/0.4.2-2.1

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#399399; Package ipmasqadm. Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>:
New Bug report received and forwarded. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: FTBFS etch: linux/ip_fw.h: No such file or directory
Date: Sun, 19 Nov 2006 16:09:01 +0100
[Message part 1 (text/plain, inline)]
Package: ipmasqadm
Version: 0.4.2-2.1
Severity: serious
Justification: no longer builds from source

Hi,

rebuilding ipmasqadm under etch fails with

gcc  -Wall -O2 -I /usr/include -I../include -I/debian/include -fPIC -DLIBDIR=\"/usr/lib/ipmasqadm\"   -c -o ip_masq_ioctl.o ip_masq_ioctl.c
ip_masq_ioctl.c:14:27: error: linux/ip_masq.h: No such file or directory
In file included from ip_masq_ioctl.c:16:
../include/ipmasqctl.h:33:25: error: linux/ip_fw.h: No such file or directory
make[2]: *** [ip_masq_ioctl.o] Error 1
make[2]: Leaving directory `/home/mrvn/build/ipmasqadm_0.4.2-2.1/ipmasqadm-0.4.2/lib'
make[1]: *** [lib] Error 2

Are you maybe missing a versioned build-depends on linux-kernel-headers?

A full build log is attached.

MfG
	Goswin

-- System Information:
Debian Release: 4.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.8-frosties-2
Locale: LANG=C, LC_CTYPE=de_DE (charmap=ISO-8859-1)
[ipmasqadm_0.4.2-2.1-2006.11.17-14:48:41 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#399399; Package ipmasqadm. Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregor+debian@comodo.priv.at>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #10 received at 399399@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregor+debian@comodo.priv.at>
To: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>, 399399@bugs.debian.org
Subject: Re: FTBFS etch: linux/ip_fw.h: No such file or directory
Date: Sun, 19 Nov 2006 22:47:28 +0100
[Message part 1 (text/plain, inline)]
On Sun, 19 Nov 2006 16:09:01 +0100, Goswin von Brederlow wrote:

> rebuilding ipmasqadm under etch fails with

It builds fine for me in a clean & up2date sid pbuilder chroot.
 
> ../include/ipmasqctl.h:33:25: error: linux/ip_fw.h: No such file or directory

Strange:
$ find -name ip_fw.h
./debian/include/linux/ip_fw.h

Only if I remove this file I get your error.

gregor
-- 
 .''`.   http://info.comodo.priv.at/ | gpg key ID: 0x00F3CFE4
 : :' :  debian: the universal operating system - http://www.debian.org/
 `. `'   member of https://www.vibe.at/ | how to reply: http://got.to/quote/
   `-    NP: Wolfgang Ambros: Du bist wia de Wintasunn
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#399399; Package ipmasqadm. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #15 received at 399399@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>, 399399@bugs.debian.org
Subject: Re: Bug#399399: FTBFS etch: linux/ip_fw.h: No such file or directory
Date: Sun, 19 Nov 2006 14:52:41 -0800
On Sun, Nov 19, 2006 at 04:09:01PM +0100, Goswin von Brederlow wrote:
> rebuilding ipmasqadm under etch fails with

> gcc  -Wall -O2 -I /usr/include -I../include -I/debian/include -fPIC -DLIBDIR=\"/usr/lib/ipmasqadm\"   -c -o ip_masq_ioctl.o ip_masq_ioctl.c
> ip_masq_ioctl.c:14:27: error: linux/ip_masq.h: No such file or directory
> In file included from ip_masq_ioctl.c:16:
> ../include/ipmasqctl.h:33:25: error: linux/ip_fw.h: No such file or directory
> make[2]: *** [ip_masq_ioctl.o] Error 1
> make[2]: Leaving directory `/home/mrvn/build/ipmasqadm_0.4.2-2.1/ipmasqadm-0.4.2/lib'
> make[1]: *** [lib] Error 2

> Are you maybe missing a versioned build-depends on linux-kernel-headers?

No, the current version of l-k-h doesn't provide these headers.

Are you building with -rsudo?  The -I/debian/include looks suspiciously like
a truncated $(PWD)/debian/include.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#399399; Package ipmasqadm. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #20 received at 399399@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: gregor herrmann <gregor+debian@comodo.priv.at>, 399399@bugs.debian.org
Cc: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
Subject: Re: Bug#399399: FTBFS etch: linux/ip_fw.h: No such file or directory
Date: Sun, 19 Nov 2006 23:06:35 -0800
On Sun, Nov 19, 2006 at 10:47:28PM +0100, gregor herrmann wrote:
> On Sun, 19 Nov 2006 16:09:01 +0100, Goswin von Brederlow wrote:

> > rebuilding ipmasqadm under etch fails with

> It builds fine for me in a clean & up2date sid pbuilder chroot.

> > ../include/ipmasqctl.h:33:25: error: linux/ip_fw.h: No such file or directory

> Strange:
> $ find -name ip_fw.h
> ./debian/include/linux/ip_fw.h

> Only if I remove this file I get your error.

Right, which pretty much confirms that it's a problem with $(PWD) and sudo.

Looking at debian/rules, I see:

	$(MAKE) XCFLAGS=-I$(PWD)/debian/include

replacing $(PWD) with the GNU make built-in $(CURDIR) will fix this.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#399399; Package ipmasqadm. Full text and rfc822 format available.

Acknowledgement sent to Andreas Henriksson <andreas@fatal.se>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #25 received at 399399@bugs.debian.org (full text, mbox):

From: Andreas Henriksson <andreas@fatal.se>
To: 399399@bugs.debian.org
Subject: Time to remove ipmasqadm.
Date: Mon, 20 Nov 2006 10:21:53 +0100
Are there any reason to keep ipmasqadm?
It's a utility to control a feature in an old and obsolete kernel that
Etch won't support anyway.

Please remove and be done with it.

-- 
Regards,
Andreas Henriksson



Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 399399-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 399399-close@bugs.debian.org
Cc: ipmasqadm@packages.debian.org, ipmasqadm@packages.qa.debian.org
Subject: Bug#399399: fixed
Date: Mon, 20 Nov 2006 09:19:41 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

 ipmasqadm |  0.4.2-2.1 | source, alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 399399@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Anthony Towns (the ftpmaster behind the curtain)



Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#399399; Package ipmasqadm. Full text and rfc822 format available.

Acknowledgement sent to Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #35 received at 399399@bugs.debian.org (full text, mbox):

From: Goswin von Brederlow <brederlo@informatik.uni-tuebingen.de>
To: Steve Langasek <vorlon@debian.org>
Cc: 399399@bugs.debian.org
Subject: Re: Bug#399399: FTBFS etch: linux/ip_fw.h: No such file or directory
Date: Wed, 22 Nov 2006 21:09:00 +0100
Steve Langasek <vorlon@debian.org> writes:

> On Sun, Nov 19, 2006 at 04:09:01PM +0100, Goswin von Brederlow wrote:
>> rebuilding ipmasqadm under etch fails with
>
>> gcc  -Wall -O2 -I /usr/include -I../include -I/debian/include -fPIC -DLIBDIR=\"/usr/lib/ipmasqadm\"   -c -o ip_masq_ioctl.o ip_masq_ioctl.c
>> ip_masq_ioctl.c:14:27: error: linux/ip_masq.h: No such file or directory
>> In file included from ip_masq_ioctl.c:16:
>> ../include/ipmasqctl.h:33:25: error: linux/ip_fw.h: No such file or directory
>> make[2]: *** [ip_masq_ioctl.o] Error 1
>> make[2]: Leaving directory `/home/mrvn/build/ipmasqadm_0.4.2-2.1/ipmasqadm-0.4.2/lib'
>> make[1]: *** [lib] Error 2
>
>> Are you maybe missing a versioned build-depends on linux-kernel-headers?
>
> No, the current version of l-k-h doesn't provide these headers.
>
> Are you building with -rsudo?  The -I/debian/include looks suspiciously like
> a truncated $(PWD)/debian/include.

I build with debuild, which should be using fakeroot. But if that gets
removed from a chroot or I forget to reinstall it after testing to
build with sudo then sudo will be used.

MfG
        Goswin



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 21:22:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:02:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.